A group of adjacent command-line arguments

### Type parameters

- #### TValue

  Type of the value returned by `ICliArgGroup.parse`

- #### TRequired: boolean

  If `true`, the type of `args` passed to `ICliArgGroup.parse` does not include `undefined`.

### Hierarchy

- ICliArgGroup

## Index

### Properties

- description
- hidden
- parse
- placeholder
- required

## Properties

### Optional description

description: TCliDescription

- Defined in src/cli-arg-group.ts:36

A text description of this argument group. Paragraphs are re-wrapped when printed to the terminal so don't worry about whitespace.

### Optional hidden

hidden: undefined | false | true

- Defined in src/cli-arg-group.ts:41

If `true`, command-line usage will not normally show this arg group

### parse

parse: ((args: TCliArgGroupArgs<TRequired>) => TValue) | ((args: TCliArgGroupArgs<TRequired>) => Promise<TValue>)

- Defined in src/cli-arg-group.ts:24

Function or async function that parses a well-typed value from string arguments

### placeholder

placeholder: string

- Defined in src/cli-arg-group.ts:32

A short placeholder for this argument group in command-line usage e.g. "<str>"

### Optional required

required: TRequired

- Defined in src/cli-arg-group.ts:47

If `true`, throw a `CliUsageError` if no argument is provided for this group

Generated using TypeDoc and MonoLisa